/**
 *******************************************************************************
 * @file    tmpm370_int.h
 * @brief   All interrupt request functions prototypes of ADC
 *          for the TOSHIBA 'TMPM370' Device Series
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM370_INT_H
#define __TMPM370_INT_H

/* Includes ------------------------------------------------------------------*/
#include "main.h"

/* external variables --------------------------------------------------------*/
extern char gSIOTxBuffer[];
extern uint8_t gSIORdIndex;
extern uint8_t gSIOWrIndex;
extern uint8_t fSIO_INT;

/* Private function prototypes -----------------------------------------------*/
void INTTX0_IRQHandler(void);

#endif                          /* __TMPM370_INT_H */
