/** 
 *******************************************************************************
 * @file    main.h
 * @brief   the application functions of UART_Retarget demo for the TOSHIBA
 *          'TMPM370' Device Series 
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H
/* Includes ------------------------------------------------------------------*/
#include "tmpm370_uart.h"
#include "tmpm370_gpio.h"
#include "tmpm370_uart_int.h"
#include "uart.h"
#include <stdio.h>

/* Private define ------------------------------------------------------------*/
#define TSW_PORT        GPIO_PA
#define TSWBITS         0x01U
#define TSWRELEASE      0U      /* KEYRELEASE */

/* For Toggle Switch */
#define TSW1 0x01U
#define TSW2 0x02U
#define TSW3 0x04U

/* Private function prototypes -----------------------------------------------*/
void TSW_Configuration(void);

#endif
