/**
 *******************************************************************************
 * @file    main.h
 * @brief   the application functions of OFD demo for the
 *          TOSHIBA 'TMPM370' Device Series
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

/* Includes ------------------------------------------------------------------*/
#include "TMPM370.h"
#include "tmpm370_ofd.h"
#include "tmpm370_cg.h"
#include "led.h"

#define OFD_LOWER_COUNT  ((uint32_t)0x0EE)
#define OFD_HIGHER_COUNT ((uint32_t)0x1D9)

#define OFD_LOWER_COUNT_ABNORMAL  ((uint32_t)0x100)
#define OFD_HIGHER_COUNT_ABNORMAL ((uint32_t)0x110)

#endif                          /* __MAIN_H */
